unit ESBCalcAddOn;

interface

uses
	RvDefine, RvTool, RvToolUtil, RvPESys, ESBToolsMisc;

type
	TESBCalcPropertyEditor = class (TRaveUnitsPropertyEditor)
	private
	public
		function GetOptions: TPropertyOptionsSet; override;
		procedure Edit; override;
	end;

procedure RaveRegister;

implementation

uses
	ESBPCSCalculator, ESBPCSGlobals;

procedure RaveRegister;
begin
	RegisterRavePropertyEditor (TypeInfo (TRaveUnits), nil, '', TESBCalcPropertyEditor);
end;

function TESBCalcPropertyEditor.GetOptions: TPropertyOptionsSet;
begin
	Result := inherited GetOptions + [poEditor];
end;

procedure TESBCalcPropertyEditor.Edit;
var
	X: extended;
begin
	X := GetFloatValue (0);
	if DisplayCalc ('ESBPCS Calc ' + ESBToolsVer, X, FloatPropPrecision) then
	begin
		SetFloatValue (X);
	end;
end;

end.

